#Contributing

We welcome different kinds of contributions at all levels of our projects. Here are few simple recommendations we encourage you to follow when contributing to the projects we work on to guarantee software integrity.

* **Issue Tracker.** All the offered improvements (bug reports, features requests and pull requests) should be submitted as Github issues.
* **Contributing Code.** We prefer to stick to certain PHP coding standards, described in [PSR-0](http://www.php-fig.org/psr/psr-0/), [PSR-1](http://www.php-fig.org/psr/psr-1/), [PSR-2](http://www.php-fig.org/psr/psr-2/) and [PSR-4](http://www.php-fig.org/psr/psr-4/) documentation. This strategy ensures structure quality and easier software maintenance.
* **Pull Requests**. Pull requests should always be submitted to the master branch.
* **Including Tests.** We strongly recommend writing unit/functional tests for your bundle and testing it against the existing code to ensure the overall integrity of the project.  All the newly added functionality that cannot make it through the test suite can't get checked into the corresponding bundle.
* **Supporting Documentation.** New features should include updates to documentation to ensure the correct usage of the functionality.

## Documentation

Documentation for the existing functionality can be improved in the same way as new features:

* All improvements should be submitted as Github issues.
* Pull requests should be submitted to master branch.

If you have further questions, contact: @eltrino.


